# Paper Suggestions

### Differential Privacy
- Frank McSherry and Kunal Talwar. *Mechanism Design via Differential Privacy*. FOCS 2007.
- Cynthia Dwork, Moni Naor, Toniann Pitassi, and Guy Rothblum. *Differential
  Privacy under Continual Observation*. STOC 2010.
- T.-H. Hubert Chan, Elaine Shi, and Dawn Song. *Private and Continual Release
  of Statistics*. ICALP 2010.
- Moritz Hardt, Katrina Ligett, and Frank McSherry. *A Simple and Practical
  Algorithm for Differentially Private Data Release*. NIPS 2012.
- Daniel Kifer and Ashwin Machanavajjhala. *A Rigorous and Customizable
  Framework for Privacy*. PODS 2012.

### Applied Cryptography
- Benjamin Braun, Ariel J. Feldman Zuocheng Ren, Srinath Setty, Andrew J.
  Blumberg, and Michael Walfish. *Verifying Computations with State*. SOSP 2013.
- Aseem Rastogi, Matthew A. Hammer and Michael Hicks. *Wysteria: A Programming
  Language for Generic, Mixed-Mode Multiparty Computations*. S&P 2014.
- Shai Halevi and Victor Shoup. *Algorithms in HElib*. CRYPTO 2014.
- Shai Halevi and Victor Shoup. *Bootstrapping for HElib*. EUROCRYPT 2015.
- Léo Ducas and Daniele Micciancio. *FHEW: Bootstrapping Homomorphic Encryption
  in Less than a Second*. EUROCRYPT 2015.
- Peter Kairouz, Sewoong Oh, and Pramod Viswanath. *Secure Multi-party
  Differential Privacy*. NIPS 2015.
- Arjun Narayan, Ariel Feldman, Antonis Papadimitriou, Andreas Haeberlen,
  *Verifiable Differential Privacy*. EUROSYS 2015.

### Language-Based Security
- Frank McSherry. *Privacy Integrated Queries*. SIGMOD 2009.
- Jason Reed and Benjamin C. Pierce: *Distance Makes the Types Grow Stronger: A
  Calculus for Differential Privacy*. ICFP 2010.
- Daniel B. Griffin, Amit Levy, Deian Stefan, David Terei, David Mazières, John
  C.Mitchell, and Alejandro Russo. *Hails: Protecting Data Privacy in Untrusted
  Web Applications*. OSDI 2012.
- Andrew Ferraiuolo, Rui Xu, Danfeng Zhang, Andrew C. Myers, G. Edward Suh.
  *Verification of a Practical Hardware Security Architecture Through Static
  Information Flow Analysis*. ASPLOS 2017.
- Danfeng Zhang, Aslan Askarov, and Andrew C. Myers. *Language-Based Control and
  Mitigation of Timing Channels*. PLDI 2012.
- Samee Zahur and David Evans. *Obliv-C: A Language for Extensible
  Data-Oblivious Computation*. 2015.
- Andrew Miller, Michael Hicks, Jonathan Katz, and Elaine Shi. *Authenticated
  Data Structures, Generically*. POPL 2014.
- Martín Abadi and Andrew D. Gordon. *A Calculus for Cryptographic Protocols:
  The Spi Calculus*. Information and Computation, 1999.

### Adversarial Machine Learning

# Supplemental Material
- Cynthia Dwork and Aaron Roth. *Algorithmic Foundations of Data Privacy*.
- Gilles Barthe, Marco Gaboardi, Justin Hsu, and Benjamin C. Pierce. *Programming
  Language Techniques for Differential Privacy*.
- Michael Walfish and Andrew J. Blumberg. *Verifying Computations without
  Reexecuting Them*.
- Véronique Cortier, Steve Kremer, and Bogdan Warinschi. *A Survey of Symbolic
  Methods in Computational Analysis of Cryptographic Systems*. 
- Dan Boneh and Victor Shoup. *A Graduate Course in Applied Cryptography*.
